function S_num_stick=num_int_ell(m_P,m_E,stick_r)
%m_P polar axis P       m_E equatorial axis E

%Numerical intergration of sticking surface
%copyright 2009 by Jonathan Rosenberg based on an earlier Mbook, copyright  2000 by Paul Green and Jonathan Rosenberg
syms x y z p t
precis=20; %precision of numerical integation set to 20 by deafault
PsEs=size(m_P);
S_num_stick=zeros(PsEs);
for j=1:PsEs(1)
    disp(num2str(PsEs(1)-j));
    for jj=1:PsEs(2)
        P=m_P(j,jj);
        E=m_E(j,jj);
        if P>E
            % disp('cygaro')
            %                  x                   y                z
            ellipsoid=[(P/2)*sin(p)*cos(t),(E/2)*sin(p)*sin(t),(E/2)*cos(p)];
            % eval(['simplify(subs((x^2/',num2str((P/2)^2),')+(y^2/',num2str((E/2)^2),')+(z^2/',num2str((E/2)^2),'),[x,y,z],ellipsoid))']);
            % ezsurf(ellipsoid(1),ellipsoid(2),ellipsoid(3),[0,pi,0,2*pi])
            % axis([-P/2 P/2 -E/2 E/2 -E/2 E/2]);
            % set(gca,'DataAspectRatio',[1 1 1])
        elseif P<E
            % disp('dysk')
            %                  x                   y                z
            ellipsoid=[(E/2)*sin(p)*cos(t),(E/2)*sin(p)*sin(t),(P/2)*cos(p)];
            % eval(['simplify(subs((x^2/',num2str((P/2)^2),')+(y^2/',num2str((E/2)^2),')+(z^2/',num2str((E/2)^2),'),[x,y,z],ellipsoid))']);
            % ezsurf(ellipsoid(1),ellipsoid(2),ellipsoid(3),[0,pi,0,2*pi])
            % axis([-E/2 E/2 -E/2 E/2 -P/2 P/2]);
            % set(gca,'DataAspectRatio',[1 1 1])
        else %kula
            % disp('kula')
            %                  x                   y                z
            ellipsoid=[(P/2)*sin(p)*cos(t),(E/2)*sin(p)*sin(t),(E/2)*cos(p)];
            % eval(['simplify(subs((x^2/',num2str((P/2)^2),')+(y^2/',num2str((E/2)^2),')+(z^2/',num2str((E/2)^2),'),[x,y,z],ellipsoid))']);
        end

        realdot = @(u,v) u*transpose(v);
        veclength = @(u) sqrt(realdot(u,u));
        surffactor = simple(veclength(cross(diff(ellipsoid,t),diff(ellipsoid,p))));
        S_num_stick(j,jj)=newnumint2(surffactor,p,0,acos(1-stick_r),t,0,2*pi,precis);
        % full_area=newnumint2(surffactor,p,0,pi,t,0,2*pi)

    end
end